---
sidebar_label: BrowserContext.newPage
---

# BrowserContext.newPage() method

Creates a new [page](./puppeteer.page.md) in this [browser context](./puppeteer.browsercontext.md).

#### Signature:

```typescript
class BrowserContext {
  abstract newPage(): Promise<Page>;
}
```

**Returns:**

Promise&lt;[Page](./puppeteer.page.md)&gt;
